'use strict';

var CustoCategoriaController = angular.module('CustoCategoriaController', []);

CustoCategoriaController.controller('CustoCategoriaCtrl', ['$scope', '$filter', 'Relatorio', 'CacheApp',
  ($scope, $filter, Relatorio, CacheApp) => {
      $scope.construcao = CacheApp.getConstrucao();

      $scope.relatorio = {};
      $scope.relatorio.DataInicio = CacheApp.getData($scope.construcao.DataInicio ? $filter("date")($scope.construcao.DataInicio, 'yyyy-MM-ddT00:00:00Z') : $filter("date")(Date.now(), 'yyyy-MM-ddT00:00:00Z'));
      $scope.relatorio.DataFim = CacheApp.getData($scope.construcao.DataFim ? $filter("date")($scope.construcao.DataFim, 'yyyy-MM-ddT00:00:00Z') : $filter("date")(Date.now(), 'yyyy-MM-ddT00:00:00Z'));

      $scope.getRelatorioCustoCategoria = () => {
          $scope.lancamento = {};
          Relatorio.getRelatorioCustoCategoria($scope.construcao.Id, $filter("date")($scope.relatorio.DataInicio, 'yyyy-MM-dd'), $filter("date")($scope.relatorio.DataFim, 'yyyy-MM-dd'),
              (data) => {
                  $scope.lancamento = data.Instance;
                  //console.log(JSON.stringify($scope.lancamento));
              });
      }
      $scope.getRelatorioCustoCategoria();

      $scope.pdfCustoCategoria = () => {
          var cabecalho = {
              Avatar: $scope.construcao.ContaAvatar,
              Obra: $scope.construcao.Titulo,
              Conta: $scope.construcao.Conta,
              DataInicio: $filter("date")($scope.relatorio.DataInicio, 'dd/MM/yyyy'),
              DataFim: $filter("date")($scope.relatorio.DataFim, 'dd/MM/yyyy'),
              Moeda: $scope.construcao.Moeda
          };

          Relatorio.pdfCustoCategoria($scope.construcao.Id, $filter("date")($scope.relatorio.DataInicio, 'yyyy-MM-dd'), $filter("date")($scope.relatorio.DataFim, 'yyyy-MM-dd'), cabecalho,
              (data) => {
                  window.location.assign(data.Instance);
              });
      }

      $scope.xlsCustoCategoria = () => {
        var cabecalho = {
            Avatar: $scope.construcao.ContaAvatar,
            Obra: $scope.construcao.Titulo,
            Conta: $scope.construcao.Conta,
            DataInicio: $filter("date")($scope.relatorio.DataInicio, 'dd/MM/yyyy'),
            DataFim: $filter("date")($scope.relatorio.DataFim, 'dd/MM/yyyy'),
            Moeda: $scope.construcao.Moeda
        };

        Relatorio.xlsCustoCategoria($scope.construcao.Id, $filter("date")($scope.relatorio.DataInicio, 'yyyy-MM-dd'), $filter("date")($scope.relatorio.DataFim, 'yyyy-MM-dd'), cabecalho,
            (data) => {
                window.location.assign(data.Instance);
            });
    }
}]);
